Tryton - Issues

 

Issue7906

Title Include all identifier from python-stdnum
Priority feature Status resolved
Superseder Nosy List Timitos, ced, dave, lukio, mariomop, pokoli, reviewbot, roundup-bot, vbastos
Type feature request Components account_invoice, party
Assigned To ced Keywords review
Reviews 72371002
View: 72371002

Created on 2018-12-06.17:10:06 by ced, last changed by pokoli.

Messages
msg49192 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2019-04-25.09:00:54
@vbastos, you should create a new issue and it will be great if you can include a patch to add the 'au_abn' and 'au_tfn' identifier types.
msg49190 (view) Author: [hidden] (vbastos) Date: 2019-04-25.00:14:50
I realise I might be a bit late, but I just noticed that the method tax_identifier_types() should probably also return 'au_abn' and 'au_tfn'. Is it too late for 5.2?
msg48964 (view) Author: [hidden] (lukio) Date: 2019-04-12.16:09:44
I added the issue8243
msg48291 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-04-01.14:31:25
Please fill another issue.
msg48289 (view) Author: [hidden] (lukio) Date: 2019-04-01.13:52:12
Hi! ar_dni was included into python stdnum.
Could u add it? Thanks!

https://arthurdejong.org/python-stdnum/doc/1.11/stdnum.ar.dni
New changeset f2bd973b36fd by Cédric Krier in branch 'default':
Include all identifiers from python-stdnum
https://hg.tryton.org/tryton-env/rev/f2bd973b36fd
New changeset ff3dd9d1efd6 by Cédric Krier in branch 'default':
Include all identifiers from python-stdnum
https://hg.tryton.org/modules/party/rev/ff3dd9d1efd6
New changeset f2f65ad92d8a by Cédric Krier in branch 'default':
Include all identifiers from python-stdnum
https://hg.tryton.org/modules/account_invoice/rev/f2f65ad92d8a
review72371002 updated at https://codereview.tryton.org/72371002/#ps60001
msg45199 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-12-07.18:26:05
On 2018-12-07 18:00, David Harper wrote:
> gb_* identifiers:
> 
> Is it just the tax identifiers that should be included?

No, anything that identify a party.

> Just for reference, there are a couple of other numbers that are related to parties and tax that may be missing.  The National Insurance number, and Unique Taxpayer Reference, but that is a different issue.

I can not see those in python-stdnum.
msg45196 (view) Author: [hidden] (dave) Date: 2018-12-07.18:00:22
gb_* identifiers:

Is it just the tax identifiers that should be included? Just asking because:

'gb_nhs' is a patient number.  It is used by the National Health Service and its partners to uniquely identify patients.

'gb_upn' is a student number.  It is a code that identifies pupils in English state schools and is designed to aid tracking pupil progress through the school system.

So these should probably be removed if you are only interested in tax.

Just for reference, there are a couple of other numbers that are related to parties and tax that may be missing.  The National Insurance number, and Unique Taxpayer Reference, but that is a different issue.
msg45190 (view) Author: [hidden] (mariomop) Date: 2018-12-07.13:01:02
Ok
msg45189 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-12-07.12:59:59
So request to add it to python-stdnum, this is out of the scope of this issue.
msg45188 (view) Author: [hidden] (mariomop) Date: 2018-12-07.12:56:58
There is not, but we use DNI for people as individuals
msg45187 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-12-07.12:53:15
Where did you find it in python-stdnum ?
msg45186 (view) Author: [hidden] (mariomop) Date: 2018-12-07.12:47:33
For Argentina, along with 'ar_cuit' there is:
'ar_dni', as National Identifier, related to people
msg45185 (view) Author: [hidden] (mariomop) Date: 2018-12-07.12:32:42
ar_cuit is ok for Argentina
review72371002 updated at https://codereview.tryton.org/72371002/#ps40001
msg45183 (view) Author: [hidden] (Timitos) (Tryton translator) Date: 2018-12-07.09:22:00
de_* identifiers are correct
msg45182 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-12-07.09:12:38
It will be great to check if the identifier list is correct for the countries you know.
review72371002 updated at https://codereview.tryton.org/72371002/#ps20001
review72371002 updated at https://codereview.tryton.org/72371002/#ps1
msg45178 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-12-06.19:23:56
I included all identifier from python-stdnum
msg45177 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-12-06.17:10:06
From https://discuss.tryton.org/t/solution-to-manage-tax-identifier-types/723
We should include all possible number that maybe considered as VAT (and even more if we receive the need).
History
Date User Action Args
2019-04-25 09:00:55pokolisetstatus: chatting -> resolved
nosy: + pokoli
messages: + msg49192
2019-04-25 00:14:52vbastossetstatus: resolved -> chatting
nosy: + vbastos
messages: + msg49190
2019-04-12 16:10:36cedsetstatus: chatting -> resolved
2019-04-12 16:09:44lukiosetstatus: resolved -> chatting
messages: + msg48964
2019-04-01 14:31:26cedsetstatus: chatting -> resolved
messages: + msg48291
2019-04-01 13:52:12lukiosetstatus: resolved -> chatting
nosy: + lukio
messages: + msg48289
2019-03-02 22:56:29roundup-botsetmessages: + msg47306
2019-03-02 22:56:24roundup-botsetmessages: + msg47305
2019-03-02 22:56:20roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg47304
2018-12-29 16:14:18reviewbotsetmessages: + msg45608

Showing 10 items. Show all history (warning: this could be VERY long)